# Julia Curves

## Installation

You should have the following libraries installed:
* libpng (libpng-dev, libpng++-dev, libpng16-16)
* freeglut3 freeglut3-dev

``` shell
sudo apt install freeglut3 freeglut3-dev
```

## Generate the binaries

In a shell, just type:

```shell
make
```

## Run the program

You can simply start the program by using:

```shell
./bin/julia_cpu.exe
```

This will execute a test of performance with no image displayed.

The parameters of the program are the following:

* `-h`  : help
* `-v`  : view image, note that the distance to the image will change progressively
* `-y`  *integer* : specify the height of the window
* `-w`  *integer* : specify the width of the window
* `-a`  *integer* : specify the number of times the image is displayed or computed
* `-t`  *integer* : specify the number of terms computed
* `-r`  *float* : specify the real part of the constant z0
* `-s`  *float* : specify the imaginary part of the constant z0




